<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package bizhunt
 */

?>
<!DOCTYPE html>
<html class="no-js" <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta http-equiv="x-ua-compatible" content="ie=edge">
	<meta name="description" content="">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<?php wp_head(); ?>	
</head>
<body  <?php body_class(); ?>>
	
	<!-- Header Area -->
	<header id="header" >
		<!-- Topbar -->
		<div class="topbar">
			<div class="container">
				<div class="row">
					<div class="col-md-6 col-sm-12 col-xs-12">
						<!-- Social -->
						<?php if(get_theme_mod('bizhunt_enable')): ?>
							<ul class="social">
								<?php if(get_theme_mod('bizhunt_social_twitter')): ?>
									<li>
										<a href="<?php echo esc_url(get_theme_mod('bizhunt_social_twitter')); ?>" target="_blank">
											<span class="fa fa-twitter"></span>
										</a>
									</li>
								<?php endif; ?>
								<?php if(get_theme_mod('bizhunt_social_facebook')): ?>
									<li>
										<a href="<?php echo esc_url(get_theme_mod('bizhunt_social_facebook')); ?>" target="_blank">
											<span class="fa fa-facebook"></span>
										</a>
									</li>
								<?php endif; ?>
								<?php if(get_theme_mod('bizhunt_social_linkedin')): ?>
									<li>
										<a href="<?php echo esc_url(get_theme_mod('bizhunt_social_linkedin')); ?>" target="_blank">
											<span class="fa fa-linkedin"></span>
										</a>
									</li>
								<?php endif; ?>
								<?php if(get_theme_mod('bizhunt_social_behance')): ?>
									<li>
										<a href="<?php echo esc_url(get_theme_mod('bizhunt_social_behance')); ?>" target="_blank">
											<span class="fa fa-behance"></span>
										</a>
									</li>
								<?php endif; ?>
								<?php if(get_theme_mod('bizhunt_social_youtube')): ?>
									<li>
										<a href="<?php echo esc_url(get_theme_mod('bizhunt_social_youtube')); ?>" target="_blank">
											<span class="fa fa-youtube"></span>
										</a>
									</li>
								<?php endif; ?>
							</ul>
						<?php endif; ?>
						<!--/ End Social -->
					</div>
					<div class="col-md-6 col-sm-12 col-xs-12">
						<!-- Contact -->
						<?php if(get_theme_mod('bizhunt_contact_enable')): ?>
							<ul class="contact">
								<?php if(get_theme_mod('bizhunt_address')): ?>
									<li><span class="fa fa-map-marker"></span><?php echo esc_html(get_theme_mod('bizhunt_address')); ?></li>
								<?php endif; ?>
								<?php if(get_theme_mod('bizhunt_contact')): ?>
									<li><span class="fa fa-headphones"></span><?php echo esc_html(get_theme_mod('bizhunt_contact')); ?></li>
								<?php endif; ?>
								<?php if(get_theme_mod('bizhunt_mail')): ?>
									<li><span class="fa fa-envelope"></span><a href="mailto:<?php echo esc_attr(get_theme_mod('bizhunt_mail')); ?>"><?php echo esc_html(get_theme_mod('bizhunt_mail')); ?></a></li>
								<?php endif; ?>
							</ul>
						<?php endif; ?>
						<!-- End Contact -->
					</div>
				</div>
			</div>
		</div>
		<!-- End Topbar -->
		<!-- Header Inner -->
		<div class="header-inner">
			<div class="container">
				<div class="row">
					<div class="col-md-3 col-sm-2">
						<div class="logo">
							<?php if(has_custom_logo()):
								the_custom_logo(); 
							else:
								?>
								<h2>
									<a href="<?php echo esc_url( home_url( '/' ) );  ?>" rel="home">
										<?php echo bloginfo( 'name' ); ?>
									</a>
								</h2>
								<h5 class="site-description">
										<?php echo esc_html( get_bloginfo( 'description' ) ); ?>
									</h5><!-- .site-description -->
								<?php
							endif ; 
							?>
						</div>
						<div class="mobile-menu"></div>
					</div>
					<div class="col-md-7 col-sm-10">
						<nav class="navbar navbar-default">
							<div class="collapse navbar-collapse">
								<?php
								wp_nav_menu( array(
									'theme_location' => 'menu-1',
									'menu_id'        => 'nav',
									'menu_class' => 'nav navbar-nav',
									'container' => 'false',
									'fallback_cb'   => 'WP_Bootstrap_Navwalker::fallback',
									'walker'       => new WP_Bootstrap_Navwalker(),
								) );
								?>
							</div> 
						</nav>
					</div>
					<?php if(get_theme_mod( 'bizhunt_contact_page' )){ ?>
						<?php $post = get_post(get_theme_mod('bizhunt_contact_page'));
						setup_postdata($post); ?>
						<div class="col-md-2">
							<div class="button">
								<a href="<?php the_permalink(); ?>" class="quote">
									<?php esc_html_e('Get Consult','bizhunt'); ?>
								</a>
							</div>
						</div>
					<?php } ?>
				</div>
			</div>
		</div>
		<!--/ End Header Inner -->
	</header>
		<!-- End Header Area -->