<?php
// ----------Blog Section ----------
$wp_customize->add_section( 'bizhunt_blog_section',
  array(
    'title'      => esc_html__( 'Blog Section', 'bizhunt' ),
    'priority'   => 100,
    'capability' => 'edit_theme_options',
    'panel'      => 'bizhunt_front_option',
  )
);

  //Enable Blog Section
$wp_customize->add_setting( 'bizhunt_blog_enable',
  array(
    'default'           => '',
    'sanitize_callback' => 'bizhunt_sanitize_checkbox',
  )
);

$wp_customize->add_control( 'bizhunt_blog_enable',
  array(
    'label'         => esc_html__( 'Enable Blog Section', 'bizhunt' ),
    'section'       => 'bizhunt_blog_section',
    'type'          => 'checkbox',
    'priority'      => 10,
  )
);

  //Blog Section Title
$wp_customize->add_setting( 'bizhunt_blog_title',
  array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_text_field',
  )
);

$wp_customize->add_control( 'bizhunt_blog_title',
  array(
    'label'         => esc_html__( 'Blog Section Title', 'bizhunt' ),
    'section'       => 'bizhunt_blog_section',
    'type'          => 'text',
    'priority'      => 20,
  )
);

  //Blog Section Sub Title
$wp_customize->add_setting( 'bizhunt_blog_subtitle',
  array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_text_field',
  )
);

$wp_customize->add_control( 'bizhunt_blog_subtitle',
  array(
    'label'         => esc_html__( 'Blog Section Sub Title', 'bizhunt' ),
    'section'       => 'bizhunt_blog_section',
    'type'          => 'text',
    'priority'      => 30,
  )
);

  //Blog Section Content
$wp_customize->add_setting( 'bizhunt_blog_content',
  array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_text_field',
  )
);

$wp_customize->add_control( 'bizhunt_blog_content',
  array(
    'label'         => esc_html__( 'Blog Section Content', 'bizhunt' ),
    'section'       => 'bizhunt_blog_section',
    'type'          => 'text',
    'priority'      => 40,
  )
);


// Blog Category
  $wp_customize->add_setting('bizhunt_blog_category',
    array(
      'sanitize_callback' => 'bizhunt_sanitize_category',
      'default' =>  1,
    ) 
  );

  $wp_customize->add_control(
    new bizhunt_Customize_Dropdown_Taxonomies_Control( $wp_customize, 'bizhunt_blog_category', 
      array(
        'label'   => __('Blog Category','bizhunt'),
        'section'   => 'bizhunt_blog_section',
        'type'    => 'dropdown-taxonomies',
        'priority'  => 50,
      ) 
    )
  );

  // Blog Post 
  $wp_customize->add_setting( 'bizhunt_blog_no',
    array(
      'default'           => '',
      'sanitize_callback' => 'bizhunt_sanitize_number_absint',
    )
  );

  $wp_customize->add_control( 'bizhunt_blog_no',
    array(
      'label'         => esc_html__( 'Blog Post Number', 'bizhunt' ),
      'description'   => 'Numbers of posts to be displayed for each categories',
      'section'       => 'bizhunt_blog_section',
      'type'          => 'number',
      'priority'      => 50,
    )
  );
?>