<?php
// ----------Works Section ----------
$wp_customize->add_section( 'bizhunt_works_section',
  array(
    'title'      => esc_html__( 'Works Section', 'bizhunt' ),
    'priority'   => 60,
    'capability' => 'edit_theme_options',
    'panel'      => 'bizhunt_front_option',
  )
);

  //Enable works Section
$wp_customize->add_setting( 'bizhunt_works_enable',
  array(
    'default'           => '',
    'sanitize_callback' => 'bizhunt_sanitize_checkbox',
  )
);

$wp_customize->add_control( 'bizhunt_works_enable',
  array(
    'label'         => esc_html__( 'Enable Works Section', 'bizhunt' ),
    'section'       => 'bizhunt_works_section',
    'type'          => 'checkbox',
    'priority'      => 10,
  )
);

  //Works Section Title
$wp_customize->add_setting( 'bizhunt_works_title',
  array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_text_field',
  )
);

$wp_customize->add_control( 'bizhunt_works_title',
  array(
    'label'         => esc_html__( 'Works Section Title', 'bizhunt' ),
    'section'       => 'bizhunt_works_section',
    'type'          => 'text',
    'priority'      => 20,
  )
);

  //Works Section Sub Title
$wp_customize->add_setting( 'bizhunt_works_subtitle',
  array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_text_field',
  )
);

$wp_customize->add_control( 'bizhunt_works_subtitle',
  array(
    'label'         => esc_html__( 'Works Section Sub Title', 'bizhunt' ),
    'section'       => 'bizhunt_works_section',
    'type'          => 'text',
    'priority'      => 30,
  )
);

  //Works Section Content
$wp_customize->add_setting( 'bizhunt_works_content',
  array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_text_field',
  )
);

$wp_customize->add_control( 'bizhunt_works_content',
  array(
    'label'         => esc_html__( 'Works Section Content', 'bizhunt' ),
    'section'       => 'bizhunt_works_section',
    'type'          => 'text',
    'priority'      => 40,
  )
);

// Work Section
$wp_customize->add_setting( 'bizhunt_works_category_id',
  array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_text_field',
  )
);

$wp_customize->add_control( 'bizhunt_works_category_id',
  array(
    'label'         => esc_html__( 'Work Categories', 'bizhunt' ),
    'description'     => esc_html__( 'Insert categories IDs. Example: 1, 2, 3', 'bizhunt' ),
    'section'       => 'bizhunt_works_section',
    'type'          => 'text',
    'priority'      => 50,
  )
);
//Works Button Link
$wp_customize->add_setting( 'bizhunt_works_button', array(
  'capability'            => 'edit_theme_options',
  'default'               => '',
  'sanitize_callback'     => 'esc_url_raw'
) );

$wp_customize->add_control( 'bizhunt_works_button', array(
  'description'           => __( 'Works Button Link: ', 'bizhunt' ),
  'section'               => 'bizhunt_works_section',
  'type'                  => 'url',
  'priority'              => 60,
  'settings'              => 'bizhunt_works_button',
) );

 //Works Button title
$wp_customize->add_setting( 'bizhunt_works_button_title',
  array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_text_field',
  )
);

$wp_customize->add_control( 'bizhunt_works_button_title',
  array(
    'label'         => esc_html__( 'Works Button Title', 'bizhunt' ),
    'section'       => 'bizhunt_works_section',
    'type'          => 'text',
    'priority'      => 70,
  )
);

?>