<?php 
/**
 * Template part - Slider Area Section of FrontPage
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package bizhunt
 */

$enable_slider = get_theme_mod( "bizhunt_show_slider", 1 );

$slider_pages = array();
$slider_video_links = array();
$slider_number = 3;
for( $i = 1; $i <= $slider_number; $i++ ) {
	$slider_pages[] = absint( get_theme_mod( "bizhunt_slider_page_$i", 1 ) );
	$slider_video_links[] = get_theme_mod( "bizhunt_slider_video_link_$i", "" ); 
}
$slider_video_links = array_reverse( $slider_video_links );

$slider_args = array(
	'post_type'			=> 'page',
	'posts_per_page'	=> absint( $slider_number ),
	'post__in'			=> $slider_pages,
);
$slider_query = new WP_Query( $slider_args );

if( $enable_slider == 1 && $slider_query->have_posts() ) :
	?>
	<section id="slider">
		<div class="owl-carousel home-slider">
			<?php
			$count = 0;
			while( $slider_query->have_posts() ) :
				$slider_query->the_post();
				if( has_post_thumbnail() ) :
					$thumbnail_url = get_the_post_thumbnail_url($post->ID, 'full');
				else :
					$thumbnail_url = "";
				endif;
				?>
				<div class="single-slider" style="background-image:url(<?php if( !empty( $thumbnail_url ) ) { echo esc_attr( esc_url( $thumbnail_url ) );  } ?>)">
					<div class="container">
						<div class="row">
							<div class="col-md-12">
								<div class="text">
									<h1><?php the_title(); ?></h1>
								<?php the_excerpt(); ?>
									<div class="button">
										<a href="<?php the_permalink(); ?>" class="btn">
											<?php esc_html_e('About Company','bizhunt'); ?>
										</a>
										<?php if(!empty( $slider_video_links[ $count ] )): ?>
											<a href="<?php echo esc_attr( esc_url( $slider_video_links[ $count ] ) ); ?>" class="video video-popup mfp-iframe">
												<i class="fa fa-play"></i>
												<?php esc_html_e('Play Video','bizhunt'); ?>
											</a>
										<?php endif; ?>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<?php
				$count++;
			endwhile;
			wp_reset_postdata();
			?>
		</div>
	</section>
	<?php
endif;
?>