<?php 
/**
 * Template part - Service Section of FrontPage
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package bizhunt
 */

?>
<?php 
$services_enable     = get_theme_mod( 'bizhunt_services_enable', 1 );
$bizhunt_services_title      = get_theme_mod( 'bizhunt_services_title', '' );
$bizhunt_services_subtitle   = get_theme_mod( 'bizhunt_services_subtitle', '' );
$bizhunt_services_content   = get_theme_mod( 'bizhunt_services_content', '' );

$services_no        = 6;
$bizhunt_services_icon     = array();
$bizhunt_services_page      = array();

for( $i = 1; $i <= $services_no; $i++ ) {
	$bizhunt_services_icon[]    = get_theme_mod( "bizhunt_services_icon_$i", '' );
	$bizhunt_services_page[]    = absint( get_theme_mod( "bizhunt_services_page_$i", 1 ) );

}

$services_args  = array(
	'post_type'             => 'page',
	'post__in'              => $bizhunt_services_page,
	'posts_per_page'        => $services_no,
	'ignore_sticky_posts'   => 1,
	'order'                 => 'ASC'
); 

$services_query = new   wp_Query( $services_args );
if(  $services_enable == 1 && $services_query->have_posts() ) :
	?>
	<section class="service section" >
		<div class="container">
			<div class="row">
				<div class="col-md-12">
					<div class="section-title">
						<?php if(!empty($bizhunt_services_subtitle)): ?>
							<h4><?php echo esc_html($bizhunt_services_subtitle); ?></h4>
						<?php endif; ?>
						<?php if(!empty($bizhunt_services_title)): ?>
							<h2><?php echo esc_html($bizhunt_services_title); ?></h2>
						<?php endif; ?>
						<?php if(!empty($bizhunt_services_content)): ?>
							<p><?php echo esc_html($bizhunt_services_content); ?></p>
						<?php endif; ?>
					</div>
				</div>
			</div>
			<div class="row">
				<?php
				$count = 0;
				while( $services_query->have_posts() ) :
					$services_query->the_post();
					?>
					<div class="col-md-4 col-sm-6 col-xs-12 wow fadeIn" data-wow-duration="0.6s" data-wow-delay="0.4s">
						<!-- single-service -->
						<div class="single-service <?php if($count == 0){ ?> active <?php } ?>">
							<i class="fa <?php echo esc_attr( $bizhunt_services_icon[ $count ] ); ?>"></i>
							<div class="single-content">
								<h4><?php the_title(); ?></h4>
								<?php the_excerpt(); ?>
							</div>
						</div>
					</div>
					<?php
					$count++;
				endwhile;
				wp_reset_postdata();
				?>
			</div>
		</div>
	</section>
	<?php endif; ?>